> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.eis.it/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.eis.it/_mcp/server.

# Get Catalog Options for a Service

GET https://api.eis.it/v1/service/option/{serviceId}/all

Retrieve all original catalog options belonging to a service. Requires the `service_view` authority.

Reference: https://docs.eis.it/api/reference/services/get-service-catalog-options

## Request

### Path parameters

- `serviceId` (integer, required) — Service catalog entry identifier.

## Response

### 200

Service options retrieved successfully.

- `list of ServiceOption`

## Errors

### 403 Forbidden Error

Forbidden - Insufficient permissions

- `any`

### 500 Internal Server Error

Internal server error

- `any`

## Types

### ServiceOption

- `id` (integer, optional) — Service option identifier.
- `name` (string, optional, nullable)
- `supplierProductId` (string, optional, nullable)
- `optionType` (integer, optional) — Option type identifier.
- `supplierOptionId` (string, optional, nullable)

## Examples

**Response**

```json
[
  {
    "id": 1,
    "name": "string",
    "supplierProductId": "string",
    "optionType": 1,
    "supplierOptionId": "string",
    "service": null
  }
]
```

**SDK Code**

```python
import requests

url = "https://api.eis.it/v1/service/option/1/all"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://api.eis.it/v1/service/option/1/all';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.eis.it/v1/service/option/1/all"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.eis.it/v1/service/option/1/all")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.eis.it/v1/service/option/1/all")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.eis.it/v1/service/option/1/all');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.eis.it/v1/service/option/1/all");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.eis.it/v1/service/option/1/all")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```